textures/sfx/fog_orange
{
		qer_editorimage textures/sfx/fog_orange.tga
		surfaceparm	trans
		surfaceparm	nonsolid
		surfaceparm	fog
		surfaceparm	nolightmap
		q3map_surfacelight 100
		fogparms ( .75 .38 0 ) 350
}
textures/24x2/fan01_jumppad
{
    qer_editorimage textures/24x2/jumppad_rust.tga
	surfaceparm trans
	surfaceparm nomarks
	nopicmip

    {
	    map textures/24x2/jumppad_rust.tga
        alphafunc GE128
	    depthwrite
	    rgbGen identity
	}
	{
		clampmap textures/24x2/jumpadr2.tga
		blendfunc Add
		depthfunc equal
        tcmod rotate 130
		tcMod stretch sin 1.2 .8 0 1.4
		rgbGen wave square .5 .5 .25 1.4
	}
	{
	    map textures/24x2/fan01.tga
		blendFunc blend
		depthfunc equal
        tcmod rotate 360
	    rgbGen identity
	}
	{
		map textures/24x2/jumportal01.tga
        blendFunc blend
		depthfunc equal
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	

}
textures/sfx/ntrl_techfloor_kc
{    
     	surfaceparm	metalsteps
	surfaceparm 	alphashadow
	surfaceparm	nomarks	 
	nopicmip
	polygonOffset 
	sort 6

        qer_editorimage textures/sfx/techfloor_kc.tga
        
        {
		clampmap textures/sfx/zzztntrl_kc.tga
               	alphaFunc GE128
		tcmod rotate 360
		rgbgen wave sin .8 .2 0 2
		depthWrite
	}
        {
                clampmap textures/sfx/techfloor2_kc.tga
		blendfunc blend
                tcmod rotate 180
		depthFunc equal
                tcMod stretch sin .8 0.1 0 .4
	        rgbGen identity
	}
        
	{
		map textures/sfx/techfloor_kc.tga
                blendfunc blend
		depthFunc equal
		rgbGen identity
	}
	
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
		rgbgen identity
	}
	{
	        map textures/sfx/techfloor_kc_shadow.tga
                blendfunc filter
	        rgbGen identity
	}
}
textures/24oto2/reda_dcl
{
	surfaceparm	nomarks 
	surfaceparm	trans
	surfaceparm	nonsolid
     //nomipmaps
     surfaceparm pointlight
	nopicmip
        
        {
		map textures/24oto2/reda_dcl.tga
        blendFunc add
		rgbGen vertex
	}
}
textures/24oto2/bluea_dcl
{    
     surfaceparm	nomarks   
     surfaceparm	trans
	 surfaceparm	nonsolid
     //nomipmaps
     surfaceparm pointlight
	nopicmip
   
        {
		map textures/24oto2/bluea_dcl.tga
                blendFunc add
		rgbGen vertex
	}
}
textures/24x/bounce_metalbridge04
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 400
	nopicmip
	
	{
		map textures/24x/bounce_metalbridge04.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc add
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}
textures/liquids/clear_neutral
{
		qer_editorimage textures/liquids/pool3d_3e.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm nolightmap
	
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/liquids/pool3d_6e.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/liquids/pduff1.tga
			blendFunc GL_dst_color GL_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}
}
textures/24se_support/x_support4
{
	surfaceparm	metalsteps	
    	surfaceparm trans	
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/24se_support/x_support4.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/base_support/metal_support2
{
    	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/base_support/metal_support2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/ad_content/2x1
{
	qer_editorimage textures/ad_content/ad2x1.jpg
	nopicmip
    	{
		map textures/ad_content/ad2x1.jpg
	}
	{
		map $lightmap
	    	rgbGen identity
		blendfunc filter
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	    	rgbGen wave sin .15 0 0 0
		blendfunc add
	}
}
textures/ad_content/2x1_trans_sfx
{
	qer_editorimage textures/ad_content/ad2x1.jpg
	surfaceparm nonsolid
	nopicmip
	{
		map textures/ad_content/ad2x1.jpg
		rgbGen wave triangle 0.44 0.12 0 0.8
		blendfunc add
	}
	{
		map textures/ad_content/ad2x1.jpg
		rgbGen wave triangle 0.05 0.05 1 2.2
		blendfunc add
		tcmod scale 0.98 0.98
	}
	{
		map textures/ad_content/adbrightoverlay.tga
		rgbGen Wave sin .12 0.05 0 2
		tcmod scroll 1 0.2
		blendfunc add
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	    	rgbGen Wave sin .13 0 0 0
		tcmod scroll 2 2
	}
	{
		map textures/sfx/zap_scrollblue.jpg
		blendfunc add
	   	 rgbGen Wave sin .05 0.05 0 4
		tcmod scroll 0 1
	}
	{
		map textures/ad_content/adbrightglow.tga
		rgbGen Wave sin .17 0.05 0 1.7
		blendfunc add
	}
}

